Tag Parser: TagParser::Mp4Timings Struct Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::Mp4Timings Struct Reference

The Mp4Timings struct holds timing values found in multiple MP4 atoms. More...

## Public Member Functions
constexpr std::uint8_t | requiredTkhdVersion () const
constexpr std::uint8_t | requiredMdhdVersion () const

## Public Attributes
std::uint64_t | tkhdCreationTime
std::uint64_t | mdhdCreationTime = 0
std::uint64_t | tkhdModificationTime
std::uint64_t | mdhdModificationTime = 0
std::uint64_t | tkhdDuration
std::uint64_t | mdhdDuration = 0

## Detailed Description

The Mp4Timings struct holds timing values found in multiple MP4 atoms.

Definition at line 34 of file mp4track.cpp.

## Member Function Documentation

## ◆ requiredMdhdVersion()

std::uint8_t TagParser::Mp4Timings::requiredMdhdVersion | ( |  | ) | const
| constexpr

Definition at line 82 of file mp4track.cpp.

## ◆ requiredTkhdVersion()

std::uint8_t TagParser::Mp4Timings::requiredTkhdVersion | ( |  | ) | const
| constexpr

Definition at line 74 of file mp4track.cpp.

## Member Data Documentation

## ◆ mdhdCreationTime

std::uint64_t TagParser::Mp4Timings::mdhdCreationTime = 0

Definition at line 35 of file mp4track.cpp.

## ◆ mdhdDuration

std::uint64_t TagParser::Mp4Timings::mdhdDuration = 0

Definition at line 37 of file mp4track.cpp.

## ◆ mdhdModificationTime

std::uint64_t TagParser::Mp4Timings::mdhdModificationTime = 0

Definition at line 36 of file mp4track.cpp.

## ◆ tkhdCreationTime

std::uint64_t TagParser::Mp4Timings::tkhdCreationTime

Definition at line 35 of file mp4track.cpp.

## ◆ tkhdDuration

std::uint64_t TagParser::Mp4Timings::tkhdDuration

Definition at line 37 of file mp4track.cpp.

## ◆ tkhdModificationTime

std::uint64_t TagParser::Mp4Timings::tkhdModificationTime

Definition at line 36 of file mp4track.cpp.

The documentation for this struct was generated from the following file:

- mp4/mp4track.cpp